import java.lang.reflect.Type

buildscript {
    repositories {
        maven { url 'https://maven.fabric.io/public' }
    }

    dependencies {
        // These docs use an open ended version so that our plugin
        // can be updated quickly in response to Android tooling updates

        // We recommend changing it to the latest version from our changelog:
        // https://docs.fabric.io/android/changelog.html#fabric-gradle-plugin
        classpath 'io.fabric.tools:gradle:1.+'
    }
}

apply plugin: 'com.android.library'
apply plugin: 'io.fabric'

repositories {
    maven { url 'https://maven.fabric.io/public' }
}

android {
    signingConfigs {
        testsign {
            keyAlias 'testsign'
            keyPassword 'testsign'
            storeFile file('testsign.jks')
            storePassword 'testsign'
        }
    }
    compileSdkVersion rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion
    defaultConfig {
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode 3
        versionName "1.10.m"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
            signingConfig signingConfigs.testsign
        }
    }
}

repositories {
    flatDir {
        dirs 'libs'
    }
}

dependencies {
    api fileTree(dir: 'libs', include: ['*.jar'])
    testImplementation 'junit:junit:4.12'
    api(name: 'libimagecapture-release', ext: 'aar')
    api(name: 'libcamera-release', ext: 'aar')
    api(name: 'libidcardcaptor-release', ext: 'aar')
    api(name: 'liblivenessdetector2-release', ext: 'aar')
    api(name: 'liblivenessdetectionview2-release', ext: 'aar')
    api(name: 'libcommon-release', ext: 'aar')
    api "com.android.support:appcompat-v7:$rootProject.ext.supportLibraryVersion"
    api 'com.google.android.gms:play-services-appindexing:8.4.0'
    api "com.android.support:percent:$rootProject.ext.supportLibraryVersion"
}
